Package org.pushingpixels.lafwidget.contrib.blogofbug.swing.borders

# Class AbstractImageBorder

java.lang.Object
org.pushingpixels.lafwidget.contrib.blogofbug.swing.borders.AbstractImageBorder

public class AbstractImageBorder extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BufferedImage`
`borderImage`
`protected Insets`
`imageInsets`

## Constructor Summary

Constructors
Constructor
Description
`AbstractImageBorder(BufferedImage borderImage, Insets imageInsets)`
Creates a new ImageBorder using the supplied image and the insets
`AbstractImageBorder(URL imageURL, Insets imageInsets)`
Creates a new ImageBofder loading the image from the supplied URL

## Method Summary

Modifier and Type
Method
Description
`Insets`
`getImageInsets()`
`void`
`paintBorder(int compWidth, int compHeight, Graphics g, int x, int y, int width, int height)`
Paints the border around the specified component
`void`
`paintCenter(Graphics2D g2, int compWidth, int compHeight)`
Paints a stretched version of the center of the image (as the border is drawn first, then the component paints itself) so that the component can use it in its own paint if the border lends itself to having a centre area over-painted
`void`
`setInsets(Insets insets)`
Sets the insets around the edge of the image to be used to cookie cut the image into a border

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### borderImage

protected BufferedImage borderImage

### imageInsets

protected Insets imageInsets

## Constructor Details

### AbstractImageBorder

public AbstractImageBorder(URL imageURL, Insets imageInsets)
Creates a new ImageBofder loading the image from the supplied URL

Parameters:
  `imageURL` - The location of the image to use
  `imageInsets` - The insets around the edge of the image that allow the cookie-cut-and-stretch of the image around the edge of the border

### AbstractImageBorder

public AbstractImageBorder(BufferedImage borderImage, Insets imageInsets)
Creates a new ImageBorder using the supplied image and the insets

Parameters:
  `borderImage` - The image to be used as the border
  `imageInsets` - The insets around the edge of the image that allow the cookie-cut-and-stretch of the image around the edge of the border

## Method Details

### paintBorder

public void paintBorder(int compWidth, int compHeight, Graphics g, int x, int y, int width, int height)
Paints the border around the specified component

Parameters:
  `compWidth` - width of the target component
  `compHeight` - height of the target component
  `g` - The graphics context
  `x` - The x offset
  `y` - The y offset
  `width` - The width
  `height` - The height

### setInsets

public void setInsets(Insets insets)
Sets the insets around the edge of the image to be used to cookie cut the image into a border

Parameters:
  `insets` - The edges of the image

### getImageInsets

public Insets getImageInsets()

### paintCenter

public void paintCenter(Graphics2D g2, int compWidth, int compHeight)
Paints a stretched version of the center of the image (as the border is drawn first, then the component paints itself) so that the component can use it in its own paint if the border lends itself to having a centre area over-painted

Parameters:
  `g2` - The graphics context
  `compWidth` - width of the target component
  `compHeight` - height of the target component